aboutsummaryrefslogtreecommitdiffstats
path: root/Tools
diff options
context:
space:
mode:
authorlinimon <linimon@FreeBSD.org>2009-11-13 12:24:35 +0800
committerlinimon <linimon@FreeBSD.org>2009-11-13 12:24:35 +0800
commitece3223fc40b05dfdf4d8c22e50f5dbfe36e1271 (patch)
tree32b05d969816bf4ca5c97373faa701ef2ca5d6b1 /Tools
parentb04def749b8a42e1fba70e912297a4554605474c (diff)
downloadfreebsd-ports-gnome-ece3223fc40b05dfdf4d8c22e50f5dbfe36e1271.tar.gz
freebsd-ports-gnome-ece3223fc40b05dfdf4d8c22e50f5dbfe36e1271.tar.zst
freebsd-ports-gnome-ece3223fc40b05dfdf4d8c22e50f5dbfe36e1271.zip
Fix up the problems that can happen when 2 copies of makeworld are
running simultaneously for separate buildenvs.
Diffstat (limited to 'Tools')
-rwxr-xr-xTools/portbuild/scripts/makeworld17
-rwxr-xr-xTools/portbuild/scripts/mkbindist5
2 files changed, 12 insertions, 10 deletions
diff --git a/Tools/portbuild/scripts/makeworld b/Tools/portbuild/scripts/makeworld
index 30275ace8bee..dd5b5ccf06d4 100755
--- a/Tools/portbuild/scripts/makeworld
+++ b/Tools/portbuild/scripts/makeworld
@@ -87,20 +87,21 @@ fi
echo "==> Starting make buildworld"
make buildworld ${args} || exit $?
-echo "==> Cleaning up chroot"
-rm -rf ${worlddir}/
-chflags -R noschg ${worlddir}/
-rm -rf ${worlddir}/
-mkdir ${worlddir}/
+echo "==> Cleaning up destdir"
+destdir=${worlddir}/${arch}/${branch}
+rm -rf ${destdir}/
+chflags -R noschg ${destdir}/
+rm -rf ${destdir}/
+mkdir -p ${destdir} || exit $?
echo "==> Starting make installworld"
if [ "$client" = "0" ]; then
export NEWSPARC_TIMETYPE=__int64_t
- make installworld DESTDIR=${worlddir} || exit $?
+ make installworld DESTDIR=${destdir} || exit $?
echo "==> Starting make distribute"
- make DESTDIR=${worlddir} distrib-dirs && \
- make DESTDIR=${worlddir} distribution || exit $?
+ make DESTDIR=${destdir} distrib-dirs && \
+ make DESTDIR=${destdir} distribution || exit $?
else
echo "==> Not doing installworld of client source tree"
diff --git a/Tools/portbuild/scripts/mkbindist b/Tools/portbuild/scripts/mkbindist
index 8326c6250906..9191d3d4a6bb 100755
--- a/Tools/portbuild/scripts/mkbindist
+++ b/Tools/portbuild/scripts/mkbindist
@@ -48,7 +48,8 @@ cleandir ${tmpdir}
mkdir -p ${tmpdir}
# Copy the files into the tmpdir from an existing built world
-cd ${worlddir}; find -dx . | \
+destdir=${worlddir}/${arch}/${branch}
+cd ${destdir}; find -dx . | \
grep -v -E '^./usr/(local|obj|opt|ports|src)' | \
grep -v '^./home' | \
grep -v '^./var/db/pkg' | \
@@ -64,7 +65,7 @@ if [ -s "${here}/bindist/dirlist" ]; then
cat "${here}/bindist/dirlist" | xargs mkdir -p
fi
# XXX MCL seems to be obsoleted by individual files in clients/?
-if [ -d ${here}/bindist/files ]; do
+if [ -d ${here}/bindist/files ]; then
cd ${here}/bindist/files; find -dx . | cpio -dump ${tmpdir}
fi